> ## Documentation Index
> Fetch the complete documentation index at: https://developers.partoo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Google more hours

> ⚠️ **What are Google More Hours?**   More Hours is a feature in *Google* that allows the business owner to display hours for specific services available.
Examples of such services include opening hours for the kitchen, for breakfast, for happy hour, etc.
Notice that the available More Hour IDs vary between both business categories and countries.   For example, a restaurant will have different More Hour IDs available than a bank, and a restaurant in France will have different IDs available than a restaurant in the USA.
To recover More Hours set for a business, see [Get More Hours for your Business endpoints](/api-reference/businesses/more-hours-for-your-business).
To handle More Hours for businesses, see [Update More Hours for your Business endpoints](/api-reference/businesses/set-more-hours-for-your-business).
This endpoint allows you to get all the different **More Hour IDs** available for a given business category, including their translated names for the given language.




## OpenAPI

````yaml /assets/openapi/openapi-bundled.yaml get /more_hours/list
openapi: 3.1.0
info:
  title: Partoo Rest API
  version: v2
  license:
    name: © Copyright Partoo
    url: https://www.partoo.co/en/gtu-api/
  x-logo:
    url: >-
      https://partoo-client-images.s3.amazonaws.com/logo-partoo-restapi-white.png
  description: >
    ## Introduction

    The Partoo Rest API allows you to automate all the actions that are possible
    to do in the Partoo Web Application.


    The Partoo Rest API can be used for many different purposes:
      - Create/update/delete your businesses & users if you are a client.
      - Create/subscribe/manage organizations, businesses & users if you are a reseller.
      - Retrieve data on businesses you have access to if you are a publisher.
      - ...
servers:
  - url: https://api.partoo.co/v2
    description: Production server
  - url: https://api.sandbox.partoo.co/v2
    description: Sandbox server (dev environment for clients & partners)
security:
  - ApiKeyAuth: []
paths:
  /more_hours/list:
    get:
      tags:
        - Google
      summary: List Google more hours
      description: >
        ⚠️ **What are Google More Hours?**   More Hours is a feature in *Google*
        that allows the business owner to display hours for specific services
        available.

        Examples of such services include opening hours for the kitchen, for
        breakfast, for happy hour, etc.

        Notice that the available More Hour IDs vary between both business
        categories and countries.   For example, a restaurant will have
        different More Hour IDs available than a bank, and a restaurant in
        France will have different IDs available than a restaurant in the USA.

        To recover More Hours set for a business, see [Get More Hours for your
        Business
        endpoints](/api-reference/businesses/more-hours-for-your-business).

        To handle More Hours for businesses, see [Update More Hours for your
        Business
        endpoints](/api-reference/businesses/set-more-hours-for-your-business).

        This endpoint allows you to get all the different **More Hour IDs**
        available for a given business category, including their translated
        names for the given language.
      operationId: moreHours
      parameters:
        - $ref: '#/components/parameters/category_more_hours_list'
        - $ref: '#/components/parameters/country_more_hours_list'
        - $ref: '#/components/parameters/lang_more_hours'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MoreHoursListResponse'
        '400':
          description: Wrong or missing parameters
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/MoreHoursListMissingParametersError'
                  - $ref: '#/components/schemas/MoreHoursListInvalidCategoryError'
                  - $ref: '#/components/schemas/MoreHoursListInvalidCountryError'
                  - $ref: '#/components/schemas/AttributesWrongLangError'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
components:
  parameters:
    category_more_hours_list:
      in: query
      name: category
      required: true
      schema:
        type: string
        example: gcid:restaurant
      description: Category for which availabe More Hour IDs will be fetched.
    country_more_hours_list:
      in: query
      name: country
      required: true
      schema:
        type: string
      description: >
        Country for which available More Hour IDs will be fetched - use ISO 3166
        alpha2 code ("FR", "EN", "IT").
      example: FR
    lang_more_hours:
      in: query
      name: lang
      required: false
      schema:
        type: string
        enum:
          - fr
          - es
          - it
          - en
          - de
          - pt
          - pt-BR
      description: >
        Language in which the More Hours names will be translated.

        If language is not specified, by default we take the language of the
        user.
  schemas:
    MoreHoursListResponse:
      properties:
        more_hours:
          description: List of More Hour IDs for a given category and country.
          type: array
          items:
            type: object
            properties:
              gmb_id:
                description: The More Hour ID.
                type: string
                example: BREAKFAST
              name:
                description: >-
                  The name of the More Hour translated to the specified
                  language.
                type: string
                example: Breakfast
          example:
            - gmb_id: BREAKFAST
              name: Breakfast
            - gmb_id: BRUNCH
              name: Brunch
            - gmb_id: DELIVERY
              name: Delivery
            - gmb_id: DINNER
              name: Dinner
            - gmb_id: DRIVE_THROUGH
              name: Drive through
            - gmb_id: HAPPY_HOUR
              name: Happy hours
            - gmb_id: KITCHEN
              name: Kitchen
            - gmb_id: LUNCH
              name: Lunch
            - gmb_id: ONLINE_SERVICE_HOURS
              name: Online service hours
            - gmb_id: PICKUP
              name: Pickup
            - gmb_id: TAKEOUT
              name: Takeout
            - gmb_id: SENIOR_HOURS
              name: Senior hours
            - gmb_id: ACCESS
              name: Access
    MoreHoursListMissingParametersError:
      properties:
        errors:
          description: The detail of the error encountered
          type: object
          properties:
            json:
              type: object
              properties:
                category:
                  description: category parameter is required
                  type: string
                  example: is required
                country:
                  description: country parameter is required
                  type: string
                  example: is required
    MoreHoursListInvalidCategoryError:
      properties:
        errors:
          description: The detail of the error encountered
          type: object
          properties:
            json:
              type: string
              example: Category with id foo does not exist
    MoreHoursListInvalidCountryError:
      properties:
        errors:
          description: The detail of the error encountered
          type: object
          properties:
            json:
              type: object
              properties:
                country:
                  type: object
                  properties:
                    explanation:
                      description: country paramter is invalid
                      type: string
                      example: abc is an incorrect value
                    choices:
                      description: available country codes
                      type: array
                      items:
                        type: string
                      example:
                        - AF
                        - AL
                        - DZ
                        - AS
                        - AD
                        - AO
                        - AI
                        - AQ
                        - AG
                        - AR
                        - AM
                        - AW
                        - AU
                        - AT
                        - AZ
                        - BS
                        - BH
                        - BD
                        - BB
                        - BY
                        - BE
                        - BZ
                        - BJ
                        - BM
                        - BT
                        - BO
                        - BQ
                        - BA
                        - BW
                        - BV
                        - BR
                        - IO
                        - BN
                        - BG
                        - BF
                        - BI
                        - CV
                        - KH
                        - CM
                        - CA
                        - KY
                        - CF
                        - TD
                        - CL
                        - CN
                        - CX
                        - CC
                        - CO
                        - KM
                        - CD
                        - CG
                        - CK
                        - CR
                        - HR
                        - CU
                        - CW
                        - CY
                        - CZ
                        - CI
                        - DK
                        - DJ
                        - DM
                        - DO
                        - EC
                        - EG
                        - SV
                        - GQ
                        - ER
                        - EE
                        - SZ
                        - ET
                        - FK
                        - FO
                        - FJ
                        - FI
                        - FR
                        - GF
                        - PF
                        - TF
                        - GA
                        - GM
                        - GE
                        - DE
                        - GH
                        - GI
                        - GR
                        - GL
                        - GD
                        - GP
                        - GU
                        - GT
                        - GG
                        - GN
                        - GW
                        - GY
                        - HT
                        - HM
                        - VA
                        - HN
                        - HK
                        - HU
                        - IS
                        - IN
                        - ID
                        - IR
                        - IQ
                        - IE
                        - IM
                        - IL
                        - IT
                        - JM
                        - JP
                        - JE
                        - JO
                        - KZ
                        - KE
                        - KI
                        - KP
                        - KR
                        - KW
                        - KG
                        - LA
                        - LV
                        - LB
                        - LS
                        - LR
                        - LY
                        - LI
                        - LT
                        - LU
                        - MO
                        - MG
                        - MW
                        - MY
                        - MV
                        - ML
                        - MT
                        - MH
                        - MQ
                        - MR
                        - MU
                        - YT
                        - MX
                        - FM
                        - MD
                        - MC
                        - MN
                        - ME
                        - MS
                        - MA
                        - MZ
                        - MM
                        - NA
                        - NR
                        - NP
                        - NL
                        - NC
                        - NZ
                        - NI
                        - NE
                        - NG
                        - NU
                        - NF
                        - MP
                        - 'NO'
                        - OM
                        - PK
                        - PW
                        - PS
                        - PA
                        - PG
                        - PY
                        - PE
                        - PH
                        - PN
                        - PL
                        - PT
                        - PR
                        - QA
                        - MK
                        - RO
                        - RU
                        - RW
                        - RE
                        - BL
                        - SH
                        - KN
                        - LC
                        - MF
                        - PM
                        - VC
                        - WS
                        - SM
                        - ST
                        - SA
                        - SN
                        - RS
                        - SC
                        - SL
                        - SG
                        - SX
                        - SK
                        - SI
                        - SB
                        - SO
                        - ZA
                        - GS
                        - SS
                        - ES
                        - LK
                        - SD
                        - SR
                        - SJ
                        - SE
                        - CH
                        - SY
                        - TW
                        - TJ
                        - TZ
                        - TH
                        - TL
                        - TG
                        - TK
                        - TO
                        - TT
                        - TN
                        - TR
                        - TM
                        - TC
                        - TV
                        - UG
                        - UA
                        - AE
                        - GB
                        - UM
                        - US
                        - UY
                        - UZ
                        - VU
                        - VE
                        - VN
                        - VG
                        - VI
                        - WF
                        - EH
                        - YE
                        - ZM
                        - ZW
                        - AX
                        - XK
    AttributesWrongLangError:
      type: object
      properties:
        errors:
          type: object
          properties:
            json:
              type: object
              properties:
                lang:
                  type: object
                  properties:
                    explanation:
                      description: incorrect value inputed in lang parameter
                      type: string
                      example: xx is an incorrect value
                    choices:
                      type: array
                      items:
                        type: string
                      description: languages choices available
                      example:
                        - DE
                        - EN
                        - ES
                        - FR
                        - IT
                        - PT
                        - PT_BR
  responses:
    '401':
      description: You are not authenticated
      content:
        application/json:
          schema:
            description: Error that occurs when you are not authenticated
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authentication:
                    type: string
                    default: User not authenticated
    '403':
      description: |
        You are not allowed to perform this action
      content:
        application/json:
          schema:
            description: >
              Error that occurs when you are authenticated but you are trying to
              perform an action you are not allowed to perform
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  authorization:
                    type: string
                    default: Operation not allowed
    '404':
      description: Resource does not exist
      content:
        application/json:
          schema:
            description: >-
              Error that occcurs when you are trying to reach a resource that
              does not exist
            type: object
            properties:
              errors:
                type: object
                description: The detail of the error encountered
                properties:
                  json:
                    type: string
                    default: Resource not found
  securitySchemes:
    ApiKeyAuth:
      description: >
        The authentication system on Partoo API is using API Key that should be
        put in the header of the request (the name of the header is `x-APIKey`).
        An api_key is linked to a user. This user's role will give you different
        access level to the API features.
      type: apiKey
      in: header
      name: x-APIKey

````